xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2008 Jussi Mäki
License | BSD-style (see xmonad/LICENSE)
Maintainer | joamaki@gmail.com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.SimplestFloat

Contents

- Usage:

Description

A basic floating layout like SimpleFloat but without the decoration.

Synopsis

- simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a
- data SimplestFloat a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.SimplestFloat

Then edit your `layoutHook` by adding the SimplestFloat layout:

    myLayout = simplestFloat ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simplestFloat :: Eq a => ModifiedLayout WindowArranger SimplestFloat a Source #

A simple floating layout where every window is placed according to the window's initial attributes.

data SimplestFloat a Source #

#### Instances

Instances details

LayoutClass SimplestFloat Window Source # |

Instance details

Defined in XMonad.Layout.SimplestFloat

Methods

runLayout :: Workspace WorkspaceId (SimplestFloat Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) Source #

doLayout :: SimplestFloat Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) Source #

pureLayout :: SimplestFloat Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: SimplestFloat Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (SimplestFloat Window)) Source #

handleMessage :: SimplestFloat Window -> SomeMessage -> X (Maybe (SimplestFloat Window)) Source #

pureMessage :: SimplestFloat Window -> SomeMessage -> Maybe (SimplestFloat Window) Source #

description :: SimplestFloat Window -> String Source #

Read (SimplestFloat a) Source # |
Instance details Defined in XMonad.Layout.SimplestFloat Methods readsPrec :: Int -> ReadS (SimplestFloat a) Source # readList :: ReadS [SimplestFloat a] Source # readPrec :: ReadPrec (SimplestFloat a) Source # readListPrec :: ReadPrec [SimplestFloat a] Source #
Show (SimplestFloat a) Source # |
Instance details Defined in XMonad.Layout.SimplestFloat Methods showsPrec :: Int -> SimplestFloat a -> ShowS Source # show :: SimplestFloat a -> String Source # showList :: [SimplestFloat a] -> ShowS Source #